Update a consignment tracking

​

Path Parameters

Body·

application/json
  • full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

  • Integer numbers.

    values
    • Unknown = 0
    • Printed = 1
    • Dispatched = 2
    • InTransit = 3
    • OutForDelivery = 4
    • Delivered = 5
    • PickupInStore = 6
    • AttemptedDelivery = 7

Responses

  • OK

  • Not Modified

Request Example for put/v1/consignments/{consignmentId}/tracking/{consignmentTrackingId}
curl https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/tracking/123e4567-e89b-12d3-a456-426614174000 \
  --request PUT \
  --header 'Content-Type: application/json' \
  --data '{
  "carrierName": null,
  "status": "enum (Unknown = 0, Printed = 1, Dispatched = 2, InTransit = 3, OutForDelivery = 4, Delivered = 5, PickupInStore = 6, AttemptedDelivery = 7, Exception = 8, AwaitingCollection = 9, Cancelled = 10, Manifested = 11, Booked = 12)",
  "trackingUrl": null,
  "trackingNumber": null,
  "eventUtc": "datetime (YYYY-MM-DDTHH:MM:SSZ)"
}'
No Body